QGIS Application - Feature request #12761
More uniform naming of Progessing algs
2015-05-17 11:49 PM - Paolo Cavallini

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 20860
Description

Currently, different naming is used for the same or similar commands, as they reflect original heterogeneous names from different
backends (think e.g. to the use of "grid” in SAGA and in other backends). This is really confusing for users.

Better provide uniform names, with the eventual option of showing (also) original names, for those used to the backend original names.
These could probably be made available in filters, so users can always find them back.

The command line name is based on the name, so changing the names will cause algs not to be recognized in

modeler. IT is like an API break, maybe we should wait until 3.0 for this.

Thanks Victor for clarifying.

Related issues:
Duplicates QGIS Application - Bug report # 12542: Processing: better naming s... Closed 2015-04-09

History

#1 - 2015-06-07 04:05 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#2 - 2017-04-20 12:22 AM - Alexander Bruy
- Resolution set to duplicate
- Status changed from Open to Rejected

Duplicates #12542

2025-04-26 1/1




